summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2016-12-08 13:47:00 (GMT)
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-09 13:45:13 (GMT)
commit2514a1d9355b8465cbcbd0f2ccea0633bff9fc49 (patch)
tree5f1e4f5c233742fbaee685386837e4e494f98eca
parent67729c16cc57e8f29d803325719634a51263499d (diff)
downloadslackbuilds-willysr.tar.gz
slackbuilds-willysr.tar.xz
python/pytzdata: Added (timezone database).willysr
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/pytzdata/README1
-rw-r--r--python/pytzdata/pytzdata.SlackBuild85
-rw-r--r--python/pytzdata/pytzdata.info10
-rw-r--r--python/pytzdata/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/python/pytzdata/README b/python/pytzdata/README
new file mode 100644
index 0000000..2596ebf
--- /dev/null
+++ b/python/pytzdata/README
@@ -0,0 +1 @@
+Official timezone database for Python.
diff --git a/python/pytzdata/pytzdata.SlackBuild b/python/pytzdata/pytzdata.SlackBuild
new file mode 100644
index 0000000..3fb5cd6
--- /dev/null
+++ b/python/pytzdata/pytzdata.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for pytzdata
+
+# Copyright 2016 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pytzdata
+VERSION=${VERSION:-2016.10}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE PKG-INFO README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pytzdata/pytzdata.info b/python/pytzdata/pytzdata.info
new file mode 100644
index 0000000..33741d5
--- /dev/null
+++ b/python/pytzdata/pytzdata.info
@@ -0,0 +1,10 @@
+PRGNAM="pytzdata"
+VERSION="2016.10"
+HOMEPAGE="https://github.com/sdispater/pytzdata"
+DOWNLOAD="https://pypi.python.org/packages/d8/42/dfddc0e6f6998aea2053b9c16ccf341b339929399ed6a0000042839b02e3/pytzdata-2016.10.tar.gz"
+MD5SUM="c8ba88b930efe12ae40e614b635f24a1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/python/pytzdata/slack-desc b/python/pytzdata/slack-desc
new file mode 100644
index 0000000..52234c2
--- /dev/null
+++ b/python/pytzdata/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pytzdata: pytzdata (timezone database)
+pytzdata:
+pytzdata: Official timezone database for Python.
+pytzdata:
+pytzdata: Homepage: https://github.com/sdispater/pytzdata
+pytzdata:
+pytzdata:
+pytzdata:
+pytzdata:
+pytzdata:
+pytzdata: